Форум русскоязычного сообщества Ubuntu


Автор Тема: Вылезает ошибка в конце установки видео драйвера ATI на Ubuntu 12.04  (Прочитано 5992 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн miks

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
У меня вот вообще такая проблема... Устанавливаю драйвер  (amd-driver-installer-12-4-x86.x86_64.run) на видео карту Radeon 4670 но в конце установки выдает ошибку  :( :( :( :( :( 

.. There were errors during installation. Details can be found in /usr/share/ati/fglrx-install.log  ..

После перезагрузки появляется в меню каталис.... но видео карта так и не пашет...не включаются эффекты не запускаются игры.... Что можно сделать ?

Раньше в предыдущих версиях ubuntu я спокойно устанавливал драйвер.. А здесь не могу

Оффлайн Ancle

  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 1505
  • Valar morghulis
    • Просмотр профиля

Оффлайн Ефим25

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
Та же самая проблема, ставлю по инструкции, но победить не получается
как я понимаю не получается драйвер прикрепить к ядру (ошибка с этим DKMS словом)

из репозитория драйвера встают, но работаю просто ужасно
« Последнее редактирование: 22 Ноябрь 2012, 14:35:54 от Ефим25 »

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7729
  • Ex-CNC programmer
    • Просмотр профиля
Details can be found in /usr/share/ati/fglrx-install.log  ..
А что в логах пишет? Или нам угадать?

Оффлайн Ефим25

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
(Нажмите, чтобы показать/скрыть)

пока работаю на открытых (карта ати 3650 на rv635)
драйдера с репозиторя устанавливаются и вроде прикручиваются к ядру, и командная строка пишет что настройки записаны в хорг, что данный драйвер первый, но работает только 2д

rapidsp

  • Гость
В синаптике найти пакеты вида fglrx... и удалить.

ЗЫ. Хм.. А ppa для ATI с актуальными дровами нет?
« Последнее редактирование: 23 Ноябрь 2012, 10:45:40 от rapidsp »

Оффлайн Ефим25

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
rapidsp fglrx удален, работаю на открытых драйверах.
в репозитории есть, и раньше даже работали, но после попыток установки с сайта амд, даже с репозитория устанавливаются при установке работает тока 2д

rapidsp

  • Гость
Или курить dkms:

Цитировать
Output of 'dkms status -m fglrx'
    fglrx, 8.960, 3.2.0-34-generic-pae, i686: installed

man dkms
Вероятно надо обратить внимание на uninstall и опцию -m
« Последнее редактирование: 23 Ноябрь 2012, 12:18:44 от rapidsp »

Оффлайн Ефим25

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
выполнит sudo apt-get remove -m fglrx

Пакет fglrx не установлен, поэтому не может быть удалён

выполнение uninstall дает > Неверная операция uninstall
« Последнее редактирование: 23 Ноябрь 2012, 12:56:25 от Ефим25 »

rapidsp

  • Гость
Да какой apt-get? dkms же!

Я так понимаю проблема в том, что пакета может и нет, а в dkms он как драйвер зарегистрирован. В сообщении об ошибке видимо про это как раз и намекают.

Вот похожие примеры:
http://ubuntuforums.org/showthread.php?t=1589390
« Последнее редактирование: 23 Ноябрь 2012, 13:07:05 от rapidsp »

Оффлайн Locator

  • Любитель
  • *
  • Сообщений: 73
  • Windows 8.1, Ubuntu 13.04
    • Просмотр профиля
Попробуйте установить последний доступный драйвер для Ubuntu 12.04, amd-driver-installer-12.6-legacy-x86.x86_64.run 
Нельзя забывать о прошлом, но надо думать о будущем, а жить настоящим...
AMD A10-6800K, Asus F2A85-V Pro, Kingston HyperX DDR3-1866 4x2 Gb, Seagate Barracuda 7200.12 1500DM003

Оффлайн Ефим25

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
rapidsp а как это вылечить? (что то я не понял)

locator 12,6 не поддерживает rv635

rapidsp

  • Гость
Ефим25,
У меня готового решения нет.

Так думаю команда должна выглядеть примерно как:
$ sudo dkms uninstall -m fgrlx

Оффлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7729
  • Ex-CNC programmer
    • Просмотр профиля
[Error]A previous installation of fglrx driver detected to be installed in dkms.
Ошибка связана с тем, что, видимо, ты уже устанавливал драйвер и некорректно его удалил.
Мне в таком случае помогала установка с параметром --force, затем корректное удаление и опять установка, но уже в нормальном режиме.
То есть, где-то так:
1. "Насильная установка"
sudo sh ./ati-driver-installer-11-12-x86.x86_64.run --force2. Корректное удаление
cd /usr/share/ati
sudo sh ./fglrx-uninstall.sh
sudo apt-get purge fglrx*
sudo rm -f /etc/X11/xorg.conf
3. Корректная установка
sudo sh ./ati-driver-installer-11-12-x86.x86_64.run
aticonfig --initial
Заменить ati-driver-installer-11-12-x86.x86_64.run на твою версию драйвера. После каждого этапа желательно перезагрузиться - драйвер все-таки.

Оффлайн Elodar

  • Любитель
  • *
  • Сообщений: 73
  • KDE
    • Просмотр профиля
Попробуй это
(Нажмите, чтобы показать/скрыть)
ATI Catalyst 12.9. У меня тоже проприетарные не ставились, был момент.
И чего я так с этим LXDE носился? KDE forever!!!
HP Pavilion g6 2137sr / kUbuntu 12.10

 

Страница сгенерирована за 0.124 секунд. Запросов: 24.